param (
    [string] $OutFile
)

rm -Path $OutFile -ErrorAction SilentlyContinue
#create dummy user
.\Convert-Csv2Ldif.ps1 -CsvPath "nobody.csv" -uidNumber 1999 | Add-Content $OutFile;

$inputFiles = "ou.csv", "ougroup.csv", "randomgroup.csv", "user.csv"
$inputFiles | % { write "Processing $_ ..."; .\Convert-Csv2Ldif.ps1 -CsvPath $_ | Add-Content $OutFile; write "Done."}
write "Sorry for the long processing time... Now it's finished."